MessageFormatter::getPattern
MessageFormatter::parse
MessageFormatter
PHP Manual

# MessageFormatter::parseMessage

# msgfmt_parse_message

(No version information available, might be only in CVS)

MessageFormatter::parseMessage -- msgfmt_parse_message — Quick parse input string

### Description

Object oriented style

static array MessageFormatter::parseMessage ( string `$locale` , string `$value` )

Procedural style

array msgfmt_parse_message ( string `$locale` , string `$value` )

Parses input string without explicitly creating the formatter object. Use this function when the format operation is done only once and does not need and parameters or state to be kept.

### Parameters

`locale`

  The locale to use for parsing locale-dependent parts

`value`

  The string to parse for items

### Return Values

An array containing items extracted, or `FALSE` on error

### Examples

Example #1 msgfmt_parse_message() example

`<?php
$fmt = msgfmt_parse_message('en_US', "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree",
"4,560 monkeys on 123 trees make 37.073 monkeys per tree");
var_export($res);
$fmt = msgfmt_parse_message('de', "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum",
"4.560 Affen über 123 Bäume um 37,073 Affen pro Baum");
var_export($res);
?>`

Example #2 OO example

`<?php
$fmt = MessageFormatter::parseMessage('en_US', "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree",
"4,560 monkeys on 123 trees make 37.073 monkeys per tree");
var_export($res);
$fmt = MessageFormatter::parseMessage('de', "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum",
"4.560 Affen über 123 Bäume um 37,073 Affen pro Baum");
var_export($res);
?>`

The above example will output:

    array (
      0 => 4560,
      1 => 123,
      2 => 37.073,
    )
    array (
      0 => 4560,
      1 => 123,
      2 => 37.073,
    )

### See Also

- msgfmt_create()
- msgfmt_format_message()
- msgfmt_parse()

MessageFormatter::getPattern
MessageFormatter::parse
MessageFormatter
PHP Manual